package com.diagbot.facade;

import com.diagbot.entity.QuestionDetail;
import com.diagbot.service.impl.QuestionDetailServiceImpl;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhoutg
 * @time: 2018/11/23 11:37
 */
@Component
public class QuestionDetailFacade extends QuestionDetailServiceImpl {

    /**
     * 根据questionId删除明细
     *
     * @param map
     * @return
     */
    public void deleteByQuestionIdFac(Map map) {
        this.deleteByQuestionIds(map);
    }


    /**
     * 根据questionId删除明细
     *
     * @param list
     * @return
     */
    public void saveBatchFac(List<QuestionDetail> list) {
        super.saveBatch(list);
    }
}
